/**
 * @file edpx-css-loader
 * @author wuqi03(wuqi03@baidu.com)
 */

var fs = require('fs');
var process = require('./lib/process');

/**
 * edpx-css-loader
 *
 * @public
 * @param {string} filePath css文件路径
 * @param {Object} options 配置
 * @param {Function=} options.processUrl 图片路径root
 * @param {Function=} options.processExportNamePrefix className格式处理
 * @param {Function=} options.processImportName 处理引用css路径
 * @param {Function=} callback 回调
 */
module.exports = function (filePath, options, callback) {
    var content = fs.readFileSync(filePath, {encoding: 'utf-8'});

    if (options) {
        options.filePath = filePath;
    }
    else {
        options = {filePath: filePath};
    }

    process(content, options, callback);
};
