/**
 * @file process 处理流程
 * @author zongyu(zongyu@baidu.com)
 *         wuqi03(wuqi03@baidu.com)
 */

/**
 * 格式化字符串
 *
 * @public
 * @param {string} template 字符串模板
 * @param {(Object | Array | Function)} data 数据
 * @return {string}
 */
module.exports = function (template, data) {
    if (!template) {
        return '';
    }

    if (data == null) {
        return template;
    }

    var replacer = data;

    if (typeof data !== 'function') {
        replacer = function (key) {
            var res = data[key];
            return res || '';
        };
    }

    return (template + '').replace(/\$\{(.+?)\}/g, function (match, key) {
            return replacer(key);
        }
    );
};
